r985 - in trunk/oe/packages: . gpsd gpsd/files


Wed Feb 14 00:51:35 CET 2007


Author: 
Date: 2007-02-14 00:51:35 +0100 (Wed, 14 Feb 2007)
New Revision: 985

Added:
   trunk/oe/packages/gpsd/
   trunk/oe/packages/gpsd/files/
   trunk/oe/packages/gpsd/files/gpsd
   trunk/oe/packages/gpsd/gpsd.inc
   trunk/oe/packages/gpsd/gpsd_2.34.bb
Log:
oe:add latest version of gpsd, enable dbus-glib support


Added: trunk/oe/packages/gpsd/files/gpsd
===================================================================
--- trunk/oe/packages/gpsd/files/gpsd	2007-02-13 23:28:36 UTC (rev 984)
+++ trunk/oe/packages/gpsd/files/gpsd	2007-02-13 23:51:35 UTC (rev 985)
@@ -0,0 +1,91 @@
+#!/bin/sh
+#
+# gpsd	This shell script starts and stops gpsd.
+#
+# chkconfig: 345 90 40
+# description: Gpsd manages access to a serial- or USB-connected GPS
+# processname: gpsd
+
+# If you must specify a non-NMEA driver, uncomment and modify the next line
+#GPSD_OPTS=
+GPS_DEV="/dev/ttyS3"
+
+# Source function library.
+#. /etc/rc.d/init.d/functions
+
+RETVAL=0
+prog="gpsd"
+
+start() {
+	# Start daemons.
+	echo -n "Starting $prog: "
+	# We don't use the daemon function here because of a known bug
+	# in initlog -- it spuriously returns a nonzero status when 
+	# starting daemons that fork themselves.  See
+	# http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=130629
+	# for discussion.  Fortunately:
+	#
+	# 1. gpsd startup can't fail, or at least not in the absence of
+	# much larger resource-exhaustion problems that would be very obvious.
+	#
+	# 2. We don't need all the logging crud that daemon/initlog sets
+	# up -- gpsd does its own syslog calls.
+	#
+	if [ -e "${GPS_DEV}" ]
+	then
+	    gpsd ${GPSD_OPTS} -p ${GPS_DEV}
+	     echo "success"
+	else
+	    # User needs to symlink ${GPS_DEV} to the right thing
+	    echo "No ${GPS_DEV} device, aborting gpsd startup."
+	fi
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/gpsd
+	return $RETVAL
+}
+
+stop() {
+	# Stop daemons.
+	echo -n "Shutting down $prog: "
+        killall gpsd
+#        killproc gpsd
+	RETVAL=$?
+	echo
+	if [ $RETVAL -eq 0 ]
+	then
+	    rm -f /var/lock/subsys/gpsd;
+	fi
+	return $RETVAL
+}
+
+# See how we were called.
+case "$1" in
+  start)
+	start
+	;;
+  stop)
+	stop
+	;;
+  restart|reload)
+	stop
+	start
+	RETVAL=$?
+	;;
+  condrestart)
+	if [ -f /var/lock/subsys/gpsd ]; then
+	    stop
+	    start
+	    RETVAL=$?
+	fi
+	;;
+  status)
+#	status gpsd
+#	RETVAL=$?
+	;;
+  *)
+	echo "Usage: $0 {start|stop|restart|condrestart|status}"
+	exit 1
+esac
+
+exit $RETVAL


Property changes on: trunk/oe/packages/gpsd/files/gpsd
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/oe/packages/gpsd/gpsd.inc
===================================================================
--- trunk/oe/packages/gpsd/gpsd.inc	2007-02-13 23:28:36 UTC (rev 984)
+++ trunk/oe/packages/gpsd/gpsd.inc	2007-02-13 23:51:35 UTC (rev 985)
@@ -0,0 +1,37 @@
+DESCRIPTION = "A TCP/IP Daemon simplifying the communication with GPS devices"
+SECTION = "console/network"
+PRIORITY = "optional"
+LICENSE = "GPL"
+DEPENDS = "dbus-glib ncurses"
+
+EXTRA_OECONF = "--x-includes=${STAGING_INCDIR}/X11  \
+		--x-libraries=${STAGING_LIBDIR} \
+                --enable-dbus"
+
+SRC_URI = "http://download.berlios.de/gpsd/gpsd-${PV}.tar.gz \
+           file://gpsd"
+
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "gpsd"
+INITSCRIPT_PARAMS = "defaults 35"
+
+export LDFLAGS = "-L${STAGING_LIBDIR} -lm"
+
+do_stage() {
+        oe_libinstall -so -C ${S}/.libs libgps ${STAGING_LIBDIR}
+        install -m 0655 ${S}/libgps.la ${STAGING_LIBDIR}
+        install -m 0655 ${S}/gps.h ${STAGING_INCDIR}
+        install -m 0655 ${S}/gpsd.h ${STAGING_INCDIR}
+}
+
+do_install_append() {
+        install -d ${D}/${sysconfdir}/init.d
+        install -d ${D}/dev
+        install -m 0755 ${WORKDIR}/gpsd ${D}/${sysconfdir}/init.d/
+}
+
+PACKAGES =+ "libgps"
+
+FILES_${PN} += "${sysconfdir}"
+FILES_libgps = "${libdir}/*.so*"

Added: trunk/oe/packages/gpsd/gpsd_2.34.bb
===================================================================
--- trunk/oe/packages/gpsd/gpsd_2.34.bb	2007-02-13 23:28:36 UTC (rev 984)
+++ trunk/oe/packages/gpsd/gpsd_2.34.bb	2007-02-13 23:51:35 UTC (rev 985)
@@ -0,0 +1,3 @@
+require gpsd.inc
+
+PR = "r0"





More information about the commitlog mailing list